<?php

$xml = simplexml_load_file('./gamers/'.$fichier);
if (!isset($itemnb)) {
	$itemnb=0;
} else {
	$itemnb++;
}
foreach($xml->entry as $entry) {
?>

<!-- gamers -->
  <div class="col-lg-4">
    <div class="panel panel-<?php echo $entry->trans; ?>">
      <div class="panel-heading">
        <div class="row">
          <div class="col-lg-4">
            <h2><strong><?php echo $entry->nom; ?></strong></h2>
          </div>
          <div class="col-lg-4">
            <h3><i class="glyphicon glyphicon-heart" style="color:red;";></i>&nbsp;<strong><?php echo $entry->hp; ?></strong></h3>
          </div>
          <div class="col-lg-4">
            <h3><i class="glyphicon glyphicon-flash" style="color:#FFD700;";></i>&nbsp;<strong><?php echo $entry->xp; ?></strong></h3>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-4">
            <a href="index.php"><div id="des"><?php echo rand(1, 6); ?></div></a>
            <?php trans("trans_dark", $entry->nom, "#8128B5"); ?>
            <?php trans("trans_light", $entry->nom, "#ADDFFF"); ?>
            <?php trans("trans_default", $entry->nom, "#AAA"); ?>
          </div>
          <div class="col-lg-4">
            <?php button_modif_hp("hp_moins", $entry->nom, "-"); ?><?php button_modif_hp("hp_plus", $entry->nom, "+"); ?>
          </div>
          <div class="col-lg-4">
            <?php button_modif_xp("xp_moinsmoins", $entry->nom, "--"); ?><?php button_modif_xp("xp_moins", $entry->nom, "-"); ?><?php button_modif_xp("xp_plus", $entry->nom, "+"); ?><?php button_modif_xp("xp_plusplus", $entry->nom, "++"); ?>
          </div>
        </div>
      </div>

      <div class="panel-body">
        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_verte_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco verte glow"><span style="width: <?php echo ($entry->ecos->verte)*20; ?>%"><?php echo $entry->ecos->verte; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_verte_plus", $entry->nom, "+"); ?>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_bleue_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco bleue glow"><span style="width: <?php echo ($entry->ecos->bleue)*20; ?>%"><?php echo $entry->ecos->bleue; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_bleue_plus", $entry->nom, "+"); ?>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_jaune_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco jaune glow"><span style="width: <?php echo ($entry->ecos->jaune)*20; ?>%"><?php echo $entry->ecos->jaune; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_jaune_plus", $entry->nom, "+"); ?>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_rouge_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco rouge glow"><span style="width: <?php echo ($entry->ecos->rouge)*20; ?>%"><?php echo $entry->ecos->rouge; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_rouge_plus", $entry->nom, "+"); ?>
          </div>
        </div>
        <hr />
        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_blanche_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco blanche glow"><span style="width: <?php echo ($entry->ecos->blanche)*20; ?>%"><?php echo $entry->ecos->blanche; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_blanche_plus", $entry->nom, "+"); ?>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-1">
            <?php button_modif_ecos("eco_noire_moins", $entry->nom, "-"); ?>
          </div>
          <div class="col-lg-9">
            <div class="progress progress-striped active">
              <div class="progress-bar-eco noire glow"><span style="width: <?php echo ($entry->ecos->noire)*20; ?>%"><?php echo $entry->ecos->noire; ?></span></div>
            </div>
          </div>
          <div class="col-lg-2">
            <?php button_modif_ecos("eco_noire_plus", $entry->nom, "+"); ?>
          </div>
        </div>
        <hr />
        <div class="list-group">
          <a class="list-group-item">
						<button class="btn btn-default btn-xs" data-toggle="modal" data-target="#notes<?php echo $itemnb; ?>" style="float:right;"><i class="glyphicon glyphicon-pencil"></i></button>
            <h4>Notes :</h4>
            <p class="list-group-item-text"><?php echo $entry->notes ?></p>
          </a>
        </div>
        <!-- notes -->
				<div class="modal fade" id="notes<?php echo $itemnb;?>" tabindex="-1" role="dialog" aria-labelledby="notes<?php echo $itemnb;?>" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-body">
                <div class="container-fluid">
                  <div class="col-lg-12">
                    <form action="action.php?edit_notes&amp;entry=<?php echo $entry->nom; ?>" method="post">
										<textarea name="notes" id="notes<?php echo $itemnb; ?>" cols="68" rows="10"><?php echo $entry->notes;?></textarea>
											<div class="modal-footer">
												<button type="button" class="btn btn-default" data-dismiss="modal" style="float:left;">Fermer</button>
												<input type="submit" class="btn btn-primary" value="Editer" />
											</div>
										</form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
<!-- /gamers -->

<?php } ?>