<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Ecomonde</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="./css/bootstrap.css" media="screen">
    <link rel="stylesheet" href="./css/bootswatch.min.css">
    <link rel="stylesheet" href="./css/ecomonde.css">
  </head>

  <body>
    <div class="container-fluid">
      <div class="col-lg-4">
        <img class="img-responsive" src="./img/logo_<?php echo rand(1, 6); ?>.png" alt="logo" />
        <div class="container-fluid">
          <div class="col-lg-2">
            <button class="btn btn-default btn-sm" data-toggle="collapse" data-parent="#accordion" href="#collapseOne"><i class="glyphicon glyphicon-map-marker"></i></button>
          </div>
          <div class="col-lg-2">
            <a onclick="window.open('music.php?sample=soft.mp3','ecomonde','menubar=no, scrollbars=no, top=100, left=50, width=320, height=100');"><button class="btn btn-default btn-sm"><i class="glyphicon glyphicon-music" style="color:#CCC;"></i></button></a>
          </div>
          <div class="col-lg-2">
            <a onclick="window.open('music.php?sample=tonic.mp3','ecomonde','menubar=no, scrollbars=no, top=100, left=50, width=320, height=100');"><button class="btn btn-default btn-sm"><i class="glyphicon glyphicon-music" style="color:#AAA;"></i></button></a>
          </div>
          <div class="col-lg-2">
            <a onclick="window.open('music.php?sample=hard.mp3','ecomonde','menubar=no, scrollbars=no, top=100, left=50, width=320, height=100');"><button class="btn btn-default btn-sm"><i class="glyphicon glyphicon-music" style="color:#000;"></i></button></a>
          </div>
          <div class="col-lg-2">
            <a onclick="window.open('music.php?sample=light.mp3','ecomonde','menubar=no, scrollbars=no, top=100, left=50, width=320, height=100');"><button class="btn btn-default btn-sm"><i class="glyphicon glyphicon-music" style="color:#ADDFFF;"></i></button></a>
          </div>
          <div class="col-lg-2">
            <a onclick="window.open('music.php?sample=dark.mp3','ecomonde','menubar=no, scrollbars=no, top=100, left=50, width=320, height=100');"><button class="btn btn-default btn-sm"><i class="glyphicon glyphicon-music" style="color:#8128B5;"></i></button></a>
          </div>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="well sponsor">
          <h2>Ecos</h2>
          <h4>10 <i class="glyphicon glyphicon-flash" style="color:#FFD700;"></i> = 1 <i class="glyphicon glyphicon-fire" style="color:#AAA;"></i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 <i class="glyphicon glyphicon-fire" style="color:#28b62c;"></i> = 2 <i class="glyphicon glyphicon-heart" style="color:red;"></i></h4>
          <h4><i class="glyphicon glyphicon-fire" style="color:#28b62c;"></i> + <i class="glyphicon glyphicon-fire" style="color:#158cba;"></i> + <i class="glyphicon glyphicon-fire" style="color:#ffd000;"></i> + <i class="glyphicon glyphicon-fire" style="color:#ff4136;"></i> = <i class="glyphicon glyphicon-fire" style="color:#ADDFFF;"></i> ou <i class="glyphicon glyphicon-fire" style="color:#8128B5;"></i></h4>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="well sponsor">
          <h2>Action</h2>
          <h4>Transfert d'ecos : 1 <i class="glyphicon glyphicon-fire" style="color:#AAA;"></i>&nbsp;<i class="glyphicon glyphicon-resize-horizontal";></i>&nbsp; 1 <i class="glyphicon glyphicon-fire" style="color:#AAA;"></i> = 1 <i class="glyphicon glyphicon-flash" style="color:#FFD700;"></i>&nbsp;<i class="glyphicon glyphicon-resize-horizontal";></i>&nbsp; 1 <i class="glyphicon glyphicon-flash" style="color:#FFD700;"></i>
          <h4>Transformation Light ou Dark = 1 <button class="btn btn-default btn-xs" data-toggle="modal" data-target="#infos"><i class="glyphicon glyphicon-fire" style="color:#ADDFFF;"></i> ou <i class="glyphicon glyphicon-fire" style="color:#8128B5;"></i></button></h4>
        </div>
      </div>
    </div>
    <div class="panel-group" id="accordion">
      <div class="panel panel-default">
        <div id="collapseOne" class="panel-collapse collapse">
          <div class="panel-body">
            <img class="img-responsive" src="./img/map.jpg" alt="map" />
          </div>
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <?php
      // nombre de gamers
      $f = 0;
      foreach(glob('*.xml') as $f) {$f+=1;}
      $nb_membres = count(glob('./gamers/*.xml'));
      ?>

      <?php
      // fonctions
      function button_modif_hp($nom_parametre, $nom_perso, $texte_bouton)
      {
        echo '<form action="action.php?'.$nom_parametre.'&amp;entry='.$nom_perso.'" method="post"><button type="submit" class="btn btn-default btn-xs" style="float:left;">'.$texte_bouton.'</button></form>';
      }
      function button_modif_xp($nom_parametre, $nom_perso, $texte_bouton)
      {
        echo '<form action="action.php?'.$nom_parametre.'&amp;entry='.$nom_perso.'" method="post"><button type="submit" class="btn btn-default btn-xs" style="float:left;">'.$texte_bouton.'</button></form>';
      }
      function trans($nom_parametre, $nom_perso, $couleur)
      {
        echo '<form action="action.php?'.$nom_parametre.'&amp;entry='.$nom_perso.'" method="post"><button type="submit" class="btn btn-default btn-xs" style="float:right;"><i class="glyphicon glyphicon-fire" style="color:'.$couleur.'";></i></button></form>';
      }
      function button_modif_ecos($nom_parametre, $nom_perso, $texte_bouton)
      {
        echo '<form action="action.php?'.$nom_parametre.'&amp;entry='.$nom_perso.'" method="post"><button type="submit" class="btn btn-default btn-xs">'.$texte_bouton.'</button></form>';
      }

      // liste des gamers
        $folder = "gamers";
        $dossier = opendir($folder);
        while ($fichier = readdir($dossier))
        {
          if ($fichier != "." && $fichier != ".." )
          {
            $gamers = explode(".xml", $fichier);
            include ("gamers.php");
          }
        }
        closedir($dossier);
      ?>
    </div>

    <!-- infos -->
    <div class="modal fade" id="infos" tabindex="-1" role="dialog" aria-labelledby="infos" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <div class="container-fluid">
              <div class="col-lg-6">
                <div class="panel panel-light">
                  <div class="panel-heading">
                    <h3 class="panel-title">Light</h3>
                  </div>
                  <div class="panel-body">
                    <img class="img-responsive" src="./img/light.jpg" alt="light" /><br />
                    <p class="p_light">Light Heal</p>
                    <p class="p_light">Light Shield</p>
                    <p class="p_light">Stop Time</p>
                  </div>
                </div>
              </div>
              <div class="col-lg-6">
                <div class="panel panel-dark">
                  <div class="panel-heading">
                    <h4 class="panel-title">Dark</h4>
                  </div>
                  <div class="panel-body">
                    <img class="img-responsive" src="./img/dark.jpg" alt="light" /><br />
                    <p class="p_dark">Dark Punch</p>
                    <p class="p_dark">Dark Bomb</p>
                    <p class="p_dark">Invisibility</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
          </div>
        </div>
      </div>
    </div>

    <script src="./js/jquery-1.10.2.min.js"></script>
    <script src="./js/bootstrap.min.js"></script>
    <script src="./js/bootswatch.js"></script>
  </body>
</html>